org.deidentifier.arx.gui.view.impl.define

## Class ViewAttributeWeights

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.define.ViewAttributeWeights

All Implemented Interfaces:
  IView

    public class ViewAttributeWeights
    extends java.lang.Object
    implements IView

This class allows to define weights for attributes.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ViewAttributeWeights(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.
`void` `reset()` Resets the view.
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewAttributeWeights

    public ViewAttributeWeights(org.eclipse.swt.widgets.Composite parent,
                                Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`